%global momorel 3
%global md5sum_src0 3d1ff32ad92deb699f08fcf37b604fe2

Summary: galago library for python 
Name: galago-python
Version: 0.5.0
Release: %{momorel}m%{?dist}
URL: http://www.galago-project.org/specs/notification/ 
%NoSource 0 http://www.galago-project.org/files/releases/source/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: pygtk2-devel >= 2.10.3-2
BuildPreReq: libgalago-devel >= 0.5.2

%description
galago library for python

%package devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains pkg-config file for development of programs
using %{name}.

%prep
%setup -q

%build

%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/python2.5/site-packages/gtk-2.0/galago
%{_datadir}/pygtk/2.0/defs/galago.defs

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/galago-python.pc

%changelog
* Mon Feb 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-3m)
- rebuild against libgalago-0.5.2

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.0-2m)
- rebuild against python-2.5

* Sun Sep  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-1m)
- initila build
